
Application: gvSIG desktop - gvSIG bugs #1960
Add record tool button always disabled
07/18/2013 01:19 PM - Manuel Madrid

Status: Closed % Done: 0%
Priority: High Spent time: 0.00 hour
Assignee: Juan Lucas Domínguez
Category: Document table
Target version: 2.1.0-2217-devel
Severity: Add-on version:
gvSIG version: 2.0.0 Add-on build:
gvSIG build: 2066 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: No Hito:
Add-on name: Unknown
Description

In the table document tool bar, the "add record" tool button is always disabled, even when the table is in edition mode.

History
#1 - 01/13/2014 02:04 PM - Álvaro Anguix
- Assignee set to Juan Lucas Domínguez
- Priority changed from Low to High

#2 - 01/14/2014 05:55 PM - Juan Lucas Domínguez
- Status changed from New to Fixed

This does not happen in recent builds (2216)

#3 - 01/14/2014 06:01 PM - Álvaro Anguix

Acabo de comprobarlo y ocurre que:
- Si añadimos una tabla, por ejemplo un dbf, y lo  ponemos en edición: sí aparece activo (correcto)
- Si añado un shp, abro su tabla, edito el shp: no aparece activo (incorrecto)

#4 - 01/18/2014 08:57 PM - Álvaro Anguix
- Status changed from Fixed to New
- Target version set to 2.1.0-2218-testing

#5 - 01/20/2014 09:25 AM - Juan Lucas Domínguez
- Status changed from New to Fixed

Hola. Lo que describe Álvaro es el comportamiento esperado. Si es la tabla de una capa vectorial (SHP, etc) no sepermite añadir una fila en la tabla
porque eso supondría insertar una geometría nula (y en su momento alguien decidió que eso no se podía hacer).

#6 - 01/20/2014 09:40 AM - Álvaro Anguix
Ok, tienes razón, creo que además es lo correcto.

#7 - 01/21/2014 09:27 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.1.0-2218-testing to 2.1.0-2217-devel

#8 - 01/27/2014 05:22 PM - Álvaro Anguix
- Status changed from Fixed to Closed
